summaryrefslogtreecommitdiff
path: root/taler-build
diff options
context:
space:
mode:
Diffstat (limited to 'taler-build')
-rw-r--r--taler-build/Makefile4
-rwxr-xr-xtaler-build/invalidate.sh4
-rwxr-xr-xtaler-build/update_playground.sh17
3 files changed, 25 insertions, 0 deletions
diff --git a/taler-build/Makefile b/taler-build/Makefile
index ca05119..98f7fc7 100644
--- a/taler-build/Makefile
+++ b/taler-build/Makefile
@@ -53,6 +53,10 @@ survey-stamp: deployment-stamp
./update_survey.sh
touch $@
+playground-stamp: deployment-stamp
+ ./update_playground.sh
+ touch $@
+
lcov: gnunet-stamp deployment-stamp
export PATH=${HOME}/local/bin:${PATH}
./update_exchange.sh --coverage
diff --git a/taler-build/invalidate.sh b/taler-build/invalidate.sh
index 13080dc..7f8a016 100755
--- a/taler-build/invalidate.sh
+++ b/taler-build/invalidate.sh
@@ -3,6 +3,10 @@
set -eu
components="deployment exchange merchant bank gnurl donations blog landing gnunet libmicrohttpd survey backoffice"
+if [[ "$TALER_ENV_NAME" = test ]]; then;
+ components="$components playground"
+fi
+
for component in $components ; do
cd $HOME/$component
git fetch
diff --git a/taler-build/update_playground.sh b/taler-build/update_playground.sh
new file mode 100755
index 0000000..7500ec8
--- /dev/null
+++ b/taler-build/update_playground.sh
@@ -0,0 +1,17 @@
+#!/bin/bash
+
+set -eu
+
+cd $HOME/playground/
+git clean -fxd
+
+git fetch
+# reset to updated upstream branch, but only if we're tracking a branch
+branch=$(git rev-parse --abbrev-ref --symbolic-full-name @{u} 2>/dev/null || echo HEAD)
+git reset --hard "$branch"
+
+git submodule update --init --force
+
+./bootstrap
+./configure --prefix="$HOME/local"
+make install